Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.gradle.api.tasks
[Groovy] Class Directory

    java.lang.Object
      org.gradle.api.internal.AbstractTask
          org.gradle.api.DefaultTask
              org.gradle.api.tasks.Directory

    @Deprecated
    class Directory
    extends DefaultTask

Creates a directory.

deprecated:
  Use Project.mkdir to create directories in Gradle.

Property Summary
`File` | `dir`

Constructor Summary
`Directory()`

Method Summary
`protected void` | `mkdir()`

Property Detail

### dir

    File dir

Constructor Detail

### Directory

    Directory()

Method Detail

### mkdir

    @TaskAction
    protected void mkdir()

Gradle API 1.10